#pragma once
#include "uefi.h"

void lapic_init(uint64_t lapic_base);
void lapic_write(int reg, uint32_t val);
uint32_t lapic_read(int reg);
uint32_t lapic_id(void);
void lapic_eoi(void);
void lapic_timer_init(int vector, int hz);
void lapic_timer_calibrate(void);
